
QGIS Application - Bug report #7009

QGIS crashes when using merge selected feature / merge attributes tool 

2013-01-18 07:52 AM - Alessandro Ciali

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: window Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 16109

Description

1.select at least 2 feature

2.select merge selected feature / merge attributes tool

3.in the window tool, choose the feature to take attribute from

4. QGIS crashes

verified on current master, while tool worked without problems in 12d1a28 and 1.8

win7 64bit

I hope it will be useful, waiting for feedback

bye

History

#1 - 2013-01-18 08:00 AM - Giovanni Manghi

- Status changed from Open to Feedback

should be duplicated of #6902

as in my case I was not able to replicate the crash it would be useful to attach sample data.

#2 - 2013-01-18 08:15 AM - Alessandro Ciali

the probles seems to get bigger in time, because the nigthly build version 12d1a28 didn't crash by simply transferring the attribute of one feature without

min, max or other operation. I think this  could be an upgrade of #6902

#3 - 2013-01-18 08:21 AM - Giovanni Manghi

Alessandro Ciali wrote:

the probles seems to get bigger in time, because the nigthly build version 12d1a28 didn't crash by simply transferring the attribute of one feature

without min, max or other operation. I think this  could be an upgrade of #6902

ok, sample data would be useful anyway.

#4 - 2013-01-18 08:32 AM - Alessandro Ciali
- File sample_data.zip added

I send a sample data with 2 polygon: selecting merge tool and choosing the feature whose attributes will be transferred causes GQIS to crash.

#5 - 2013-03-08 08:44 AM - Alessandro Ciali

Tested the last master 969df01. I don't know what the solution was, but the problem seems to be resolved. By the way I will permorm further tests just to be

sure. Fell free to clos the ticket.

#6 - 2013-03-09 11:17 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

duplicate of #6902

Files

sample_data.zip 1.89 KB 2013-01-18 Alessandro Ciali
